﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Dtos;
using Tsi1.BusinessLayer.Helpers;

namespace Tsi1.BusinessLayer.Interfaces
{
    public interface ISurveyService
    {
        Task<ServiceResult<int>> CreateGlobalSurvey(SurveyCreateDto newSurvey, int tenantId);
        Task<ServiceResult<bool>> DeleteGlobalSurvey(int surveyId, string userType, int tenantId);
        Task<ServiceResult<List<SurveyPreviewDto>>> GetAllGlobalSurveys(int tenantId, string userType);
        Task<ServiceResult<SurveyDetailDto>> GetMySurvey(int surveyId, int userId);
        Task<ServiceResult<bool>> Complete(SurveyResponseCreateDto surveyResponse);
        Task<ServiceResult<List<SurveyResponseDetailDto>>> GetAllResponses(int surveyId, string userType, int tenantId);
        Task<ServiceResult<List<AnswerOptionDetailDto>>> GetAnswerOptions();
    }
}
