using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Dtos;
using Tsi1.BusinessLayer.Helpers;

namespace Tsi1.BusinessLayer.Interfaces
{
    public interface ITenantService
    {
        Task<ServiceResult<int>> GetByName(string tenantName);

        Task<ServiceResult<int>> GetById(int tenantId);

        Task<ServiceResult<List<TenantPreviewDto>>> GetAll();

        Task<ServiceResult<int>> Create(TenantCreateDto newTenant);

        Task<ServiceResult<bool>> Modify(int tenantId, TenantCreateDto tenantDto);

        Task<ServiceResult<bool>> Delete(int tenantId);

        Task<ServiceResult<List<TenantPreviewDto>>> FacultyList();

        Task<ServiceResult<List<TenantCourseDto>>> CourseStudentQuantity();

        Task<ServiceResult<List<RegistrationDto>>> FacultyRegistrations();

        Task<ServiceResult<List<RegistrationDto>>> CourseStudentQuantity(int tenantId);
    }
}
