﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Text;
using Tsi1.DataLayer.Entities;

namespace Tsi1.DataLayer.EntityConfiguration
{
    public class ProfessorCourseConfiguration : IEntityTypeConfiguration<ProfessorCourse>
    {
        public void Configure(EntityTypeBuilder<ProfessorCourse> builder)
        {
            builder.HasKey(x => new { x.ProfessorId, x.CourseId });

            builder.HasOne(x => x.Course)
                .WithMany(x => x.ProfessorCourses)
                .HasForeignKey(x => x.CourseId);

            builder.HasOne(x => x.Professor)
                .WithMany(x => x.ProfessorCourses)
                .HasForeignKey(x => x.ProfessorId);
        }
    }
}
